String::CamelCase(3)

NAME
String::CamelCase - camelcase, de-camelcase

VERSION
Version 0.01

SYNOPSIS
 use String::CamelCase qw(camelize decamelize wordsplit);
 print camelize("some_keyword");  # ==> SomeKeyword
 print decamelize("SomeKeyword"); # ==> some_keyword
 print wordsplit("some_keyword"); # ==> (some, keyword)
 print wordsplit("SomeKeyword");  # ==> (Some, Keyword)

EXPORT
This module can export two functions, "camelize" and "decamelize".

FUNCTIONS

  camelize($under_score)
convert from under_score text to CamelCase one.

  decamelize($CamelCase)
convert from CamelCase text to under_score one.

  wordsplit($str)

AUTHOR
YAMASHINA Hio, "<hio at cpan.org>"

BUGS
Please report any bugs or feature requests to "bug-string-camelcase at rt.cpan.org", or through the web interface at <http://rt.cpan.org/NoAuth/ReportBug.html?Queue=String-CamelCase>. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

SUPPORT
You can find documentation for this module with the perldoc command.

    perldoc String::CamelCase

You can also look for information at:

•   AnnoCPAN: Annotated CPAN documentation

    <http://annocpan.org/dist/String-CamelCase>

•   CPAN Ratings

    <http://cpanratings.perl.org/d/String-CamelCase>

•   RT: CPAN's request tracker

    <http://rt.cpan.org/NoAuth/Bugs.html?Dist=String-CamelCase>

•   Search CPAN

    <http://search.cpan.org/dist/String-CamelCase>

SEE ALSO
CamelCase(en.wikipedia.org) <http://en.wikipedia.org/wiki/CamelCase>

CamelCase(ja.wikipedia.org) <http://ja.wikipedia.org/wiki/%E3%82%AD%E3%83%A3%E3%83%A1%E3%83%AB%E3%82%B1%E3%83%BC%E3%82%B9>

COPYRIGHT & LICENSE
Copyright 2006 YAMASHINA Hio, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.